<form class="form contact"
      action="<?php /* @escapeNotVerified */ //echo $block->getFormAction(); ?>"
      id="contact-form"
      method="post"
      data-hasrequired="<?php /* @escapeNotVerified */ echo __('* Required Fields') ?>"
>
    <fieldset class="fieldset">
        <legend class="legend"><span><?php /* @escapeNotVerified */ echo __('Get Order By Id') ?></span></legend><br/>
        <div class="field name required">
            <label class="label" for="name"><span><?php /* @escapeNotVerified */ echo __('Scan Barcode/ Enter Order Ref.') ?></span></label>
            <div class="control">
                <input name="orderId" id="orderId" title="<?php /* @escapeNotVerified */ echo __('Order Id') ?>" class="input-text" type="text" data-validate="{required:true}"/>
            </div>
        </div>
        </br>
        <div class="actions-toolbar">
            <div class="primary">
                <button type="submit" title="<?php /* @escapeNotVerified */ echo __('Submit') ?>" class="action submit primary">
                    <span><?php /* @escapeNotVerified */ echo __('Submit') ?></span>
                </button>
            </div>
        </div>
    </fieldset>
</form>

<div id="ajaxresponse"></div>
<?php 
$ajaxurl = $block->getFormAction();
?>
<script>
require(
    [
        'jquery'
    ],
    function($, modal) {
        jQuery(document).ready(function(){
            jQuery('body').on('click', '#contact-form .action.submit', function(e){
                 jQuery('#ajaxresponse').empty();
                e.preventDefault();
                e.stopImmediatePropagation();
                jQuery.ajax({
                    type: 'post',
                    url: '<?php echo $ajaxurl; ?>',
                    data: jQuery('#contact-form').serialize(),
                    cache: false,
                    showLoader: 'true',
                    success: function(response) {
                        //alert('success');
                        jQuery('#ajaxresponse').append(response.output);
                        jQuery('.contact-form-popup').hide();
                        jQuery('.static-block-message').show();
                    }
                });
                return false;
            });
        });
    }
);
</script>